Bug 204403 - Enable legacy getUserMedia as a quirk
Summary: Enable legacy getUserMedia as a quirk
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-11-20 02:24 PST by youenn fablet
Modified: 2019-11-25 05:03 PST (History)
21 users (show)

See Also:


Attachments
Patch (14.00 KB, patch)
2019-11-20 02:29 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (12.95 KB, patch)
2019-11-20 03:13 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (6.00 KB, patch)
2019-11-22 05:39 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (6.08 KB, patch)
2019-11-25 01:06 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-11-20 02:24:03 PST
Enable legacy getUserMedia as a quirk
Comment 1 youenn fablet 2019-11-20 02:24:45 PST
<rdar://problem/56421276>
Comment 2 youenn fablet 2019-11-20 02:29:32 PST
Created attachment 383952 [details]
Patch
Comment 3 youenn fablet 2019-11-20 03:13:33 PST
Created attachment 383954 [details]
Patch
Comment 4 youenn fablet 2019-11-22 05:39:44 PST
Created attachment 384144 [details]
Patch
Comment 5 Eric Carlson 2019-11-22 08:55:26 PST
Comment on attachment 384144 [details]
Patch

r=me once the bots are happy
Comment 6 Brent Fulgham 2019-11-22 09:00:45 PST
Comment on attachment 384144 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=384144&action=review

> Source/WebCore/bindings/js/JSNavigatorCustom.cpp:38
>  

I think this needs to be wrapped in #if ENABLE(MEDIA_STREAM)
Comment 7 youenn fablet 2019-11-25 01:06:10 PST
Created attachment 384279 [details]
Patch for landing
Comment 8 WebKit Commit Bot 2019-11-25 05:03:32 PST
Comment on attachment 384279 [details]
Patch for landing

Clearing flags on attachment: 384279

Committed r252854: <https://trac.webkit.org/changeset/252854>
Comment 9 WebKit Commit Bot 2019-11-25 05:03:34 PST
All reviewed patches have been landed.  Closing bug.